Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.prescrizioneriabilitativa.vo.prescrizioneriabilitativaget
Class PrescrizioneRiabilitativaResponse

    java.lang.Object
      it.svimservice.nsisr.web.ws.prescrizioneriabilitativa.vo.prescrizioneriabilitativaget.PrescrizioneRiabilitativaResponse

    public class PrescrizioneRiabilitativaResponse

extends java.lang.Object

Field Summary
`private AssistitoPrescrizioneGetResponse` | `assistito`
`private java.lang.String` | `codiceDiagnosi` Codice diagnosi ICDMC9
`private int` | `codPrescrittore` Codice del medico prescrittore
`private java.lang.String` | `codRicettaSSN` Codice identificativo della ricetta SSN
`private java.lang.String` | `codStrutturaRiabilitativa` Codice della struttura riabilitativa presso cui è stata erogata la prescrizione.
`private int` | `codTipoTrattamentoRiabilitativo` Tipo di trattamento riabilitativo
`private java.lang.String` | `dataErogazione` Data erogazione della prescrizione riabilitativa
`private java.lang.String` | `dataPrenotazione` Data prenotazione della prescrizione riabilitativa nel caso di regime assistenziale Residenziale
`private java.lang.String` | `dataRegistrazione` Data registrazione nel sistema della prescrizione riabilitativa indicata nella ricetta SSN
`private java.lang.String` | `dataRilascioRicetta` Data di rilascio della ricetta su cui è indicata la prescrizione riabilitativa
`private java.lang.String` | `descMotivazionePrescrizione` Descrizione della motivazione della prescrizione riabilitativa
`private PrestazioniRiabilitative` | `elencoPrestazioniRiab` Elenco delle prestazioni riabilitative a carattere continuativo da erogare
`private int` | `frequenzaTemporale` Indica ogni quanti giorni deve essere erogata una prestazione riabiltativa a carattere continuativo indicata sulla ricetta nel caso di regimi assistenziali Domiciliare, Ambulatoriale Singolo, Ambulatoriale di gruppo.
`private int` | `numGGAssistenza` Indica il numero di giornate di assistenza richieste nel caso di regimi assistenziali Semiresidenziale o Residenziale
`private int` | `numPrestazioniPrev` Indica il numero di prestazioni previste nel caso di regimi assistenziale Domiciliare, Ambulatoriale Singolo o di Gruppo.

Constructor Summary
`PrescrizioneRiabilitativaResponse()`

Method Summary
`AssistitoPrescrizioneGetResponse` | `getAssistito()`
`java.lang.String` | `getCodiceDiagnosi()`
`int` | `getCodPrescrittore()`
`java.lang.String` | `getCodRicettaSSN()`
`java.lang.String` | `getCodStrutturaRiabilitativa()`
`int` | `getCodTipoTrattamentoRiabilitativo()`
`java.lang.String` | `getDataErogazione()`
`java.lang.String` | `getDataPrenotazione()`
`java.lang.String` | `getDataRegistrazione()`
`java.lang.String` | `getDataRilascioRicetta()`
`java.lang.String` | `getDescMotivazionePrescrizione()`
`PrestazioniRiabilitative` | `getElencoPrestazioniRiab()`
`int` | `getFrequenzaTemporale()`
`int` | `getNumGGAssistenza()`
`int` | `getNumPrestazioniPrev()`
`void` | `setAssistito(AssistitoPrescrizioneGetResponse assistito)`
`void` | `setCodiceDiagnosi(java.lang.String codiceDiagnosi)`
`void` | `setCodPrescrittore(int codPrescrittore)`
`void` | `setCodRicettaSSN(java.lang.String codRicettaSSN)`
`void` | `setCodStrutturaRiabilitativa(java.lang.String codStrutturaRiabilitativa)`
`void` | `setCodTipoTrattamentoRiabilitativo(int codTipoTrattamentoRiabilitativo)`
`void` | `setDataErogazione(java.lang.String dataErogazione)`
`void` | `setDataPrenotazione(java.lang.String dataPrenotazione)`
`void` | `setDataRegistrazione(java.lang.String dataRegistrazione)`
`void` | `setDataRilascioRicetta(java.lang.String dataRilascioRicetta)`
`void` | `setDescMotivazionePrescrizione(java.lang.String descMotivazionePrescrizione)`
`void` | `setElencoPrestazioniRiab(PrestazioniRiabilitative elencoPrestazioniRiab)`
`void` | `setFrequenzaTemporale(int frequenzaTemporale)`
`void` | `setNumGGAssistenza(int numGGAssistenza)`
`void` | `setNumPrestazioniPrev(int numPrestazioniPrev)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### codRicettaSSN

    private java.lang.String codRicettaSSN

  Codice identificativo della ricetta SSN

### codStrutturaRiabilitativa

    private java.lang.String codStrutturaRiabilitativa

  Codice della struttura riabilitativa presso cui è stata erogata la prescrizione. Si tratta di un codice numerico di lunghezza 6.

### assistito

    private AssistitoPrescrizioneGetResponse assistito

### dataRilascioRicetta

    @Facets(pattern="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?")
    private java.lang.String dataRilascioRicetta

  Data di rilascio della ricetta su cui è indicata la prescrizione riabilitativa

### dataErogazione

    @Facets(pattern="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?")
    private java.lang.String dataErogazione

  Data erogazione della prescrizione riabilitativa

### dataRegistrazione

    @Facets(pattern="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?")
    private java.lang.String dataRegistrazione

  Data registrazione nel sistema della prescrizione riabilitativa indicata nella ricetta SSN

### codPrescrittore

    private int codPrescrittore

  Codice del medico prescrittore

### descMotivazionePrescrizione

    private java.lang.String descMotivazionePrescrizione

  Descrizione della motivazione della prescrizione riabilitativa

### codTipoTrattamentoRiabilitativo

    private int codTipoTrattamentoRiabilitativo

  Tipo di trattamento riabilitativo

### frequenzaTemporale

    private int frequenzaTemporale

  Indica ogni quanti giorni deve essere erogata una prestazione riabiltativa a carattere continuativo indicata sulla ricetta nel caso di regimi assistenziali Domiciliare, Ambulatoriale Singolo, Ambulatoriale di gruppo.

### numPrestazioniPrev

    private int numPrestazioniPrev

  Indica il numero di prestazioni previste nel caso di regimi assistenziale Domiciliare, Ambulatoriale Singolo o di Gruppo.

### numGGAssistenza

    private int numGGAssistenza

  Indica il numero di giornate di assistenza richieste nel caso di regimi assistenziali Semiresidenziale o Residenziale

### codiceDiagnosi

    private java.lang.String codiceDiagnosi

  Codice diagnosi ICDMC9

### dataPrenotazione

    @Facets(pattern="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?")
    private java.lang.String dataPrenotazione

  Data prenotazione della prescrizione riabilitativa nel caso di regime assistenziale Residenziale

### elencoPrestazioniRiab

    private PrestazioniRiabilitative elencoPrestazioniRiab

  Elenco delle prestazioni riabilitative a carattere continuativo da erogare

Constructor Detail

### PrescrizioneRiabilitativaResponse

    public PrescrizioneRiabilitativaResponse()

Method Detail

### getCodRicettaSSN

    public java.lang.String getCodRicettaSSN()

### setCodRicettaSSN

    public void setCodRicettaSSN(java.lang.String codRicettaSSN)

### getCodStrutturaRiabilitativa

    public java.lang.String getCodStrutturaRiabilitativa()

### setCodStrutturaRiabilitativa

    public void setCodStrutturaRiabilitativa(java.lang.String codStrutturaRiabilitativa)

### getAssistito

    public AssistitoPrescrizioneGetResponse getAssistito()

### setAssistito

    public void setAssistito(AssistitoPrescrizioneGetResponse assistito)

### getDataRilascioRicetta

    public java.lang.String getDataRilascioRicetta()

### setDataRilascioRicetta

    public void setDataRilascioRicetta(java.lang.String dataRilascioRicetta)

### getDataErogazione

    public java.lang.String getDataErogazione()

### setDataErogazione

    public void setDataErogazione(java.lang.String dataErogazione)

### getDataRegistrazione

    public java.lang.String getDataRegistrazione()

### setDataRegistrazione

    public void setDataRegistrazione(java.lang.String dataRegistrazione)

### getCodPrescrittore

    public int getCodPrescrittore()

### setCodPrescrittore

    public void setCodPrescrittore(int codPrescrittore)

### getDescMotivazionePrescrizione

    public java.lang.String getDescMotivazionePrescrizione()

### setDescMotivazionePrescrizione

    public void setDescMotivazionePrescrizione(java.lang.String descMotivazionePrescrizione)

### getCodTipoTrattamentoRiabilitativo

    public int getCodTipoTrattamentoRiabilitativo()

### setCodTipoTrattamentoRiabilitativo

    public void setCodTipoTrattamentoRiabilitativo(int codTipoTrattamentoRiabilitativo)

### getFrequenzaTemporale

    public int getFrequenzaTemporale()

### setFrequenzaTemporale

    public void setFrequenzaTemporale(int frequenzaTemporale)

### getNumPrestazioniPrev

    public int getNumPrestazioniPrev()

### setNumPrestazioniPrev

    public void setNumPrestazioniPrev(int numPrestazioniPrev)

### getNumGGAssistenza

    public int getNumGGAssistenza()

### setNumGGAssistenza

    public void setNumGGAssistenza(int numGGAssistenza)

### getCodiceDiagnosi

    public java.lang.String getCodiceDiagnosi()

### setCodiceDiagnosi

    public void setCodiceDiagnosi(java.lang.String codiceDiagnosi)

### getDataPrenotazione

    public java.lang.String getDataPrenotazione()

### setDataPrenotazione

    public void setDataPrenotazione(java.lang.String dataPrenotazione)

### getElencoPrestazioniRiab

    public PrestazioniRiabilitative getElencoPrestazioniRiab()

### setElencoPrestazioniRiab

    public void setElencoPrestazioniRiab(PrestazioniRiabilitative elencoPrestazioniRiab)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD